KDE 4.7 PyKDE API Reference

- KDE's Python API

# AccessAppletJob Class Reference

`from PyKDE4.plasma import *`

Inherits: KJob → QObject
Namespace: Plasma

## Detailed Description

AccessAppletJob plasma/accessappletjob.h <Plasma/AccessAppletJob>

This class is used for asynchronously accessing an applet published on a remote system. After calling AccessManager.accessApplet, monitor this job to track when the remote applet is ready to be used, and to obtain the service when finished.

## Methods
| __init__ (self, KUrl location, QObject parent=0)
| __init__ (self)
Plasma.Applet | applet (self)
| start (self)

## Method Documentation

__init__ | ( | self, |
|  | KUrl | location,
|  | QObject | parent=0
| ) |  |  |

Default constructor

Parameters:

  | location | the location of the service
  | parent | the parent object for this service

__init__ | ( |  | self ) |

Plasma.Applet applet | ( |  | self ) |

start | ( |  | self ) |